{
  stdenv,
  fetchFromGitHub,
  lib,
  gnome-themes-extra,
  gtk-engine-murrine,
  gtk_engines,
}:
stdenv.mkDerivation rec {
  pname = "gruvbox-gtk-theme";
  version = "unstable-2023-05-20";

  src = fetchFromGitHub {
    owner = "Fausto-Korpsvart";
    repo = "Gruvbox-GTK-Theme";
    rev = "5927e8693a70619b45fbe3317c59f04f6e101943";
    sha256 = "sha256-zvByW7wqVl4A5bKlVsJOSmyqkJiaHvciwSit3K/FqRM=";
  };

  buildInputs = [
    gnome-themes-extra # adwaita engine for Gtk2
    gtk_engines # pixmap engine for Gtk2
  ];

  propagatedUserEnvPkgs = [
    gtk-engine-murrine # murrine engine for Gtk2
  ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out/share/themes
    cp -a themes/Grubvox-Dark-B $out/share/themes/Gruvbox-Dark
    runHook postInstall
  '';
}
